> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gizatech.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Fee

> Get fee information for a wallet

<Note>
  **SDK Alternative**: Use `agent.fees()` for a simpler TypeScript interface. [See SDK docs](/sdk-reference/agent/withdrawals)
</Note>

## Description

Retrieves the fee information for a wallet, including the percentage fee applied to yields.

## Path Parameters

<ParamField path="chain_id" type="integer" required>
  The blockchain chain ID
</ParamField>

<ParamField path="wallet" type="string" required>
  The wallet address
</ParamField>

## Query Parameters

<ParamField query="amount" type="integer">
  Optional amount to calculate fee for
</ParamField>

## Response

<ResponseField name="percentage_fee" type="number">
  Fee percentage (e.g., 0.1 = 10%)
</ResponseField>

<ResponseField name="fee" type="number">
  Calculated fee amount (if amount was provided)
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl "https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x.../fee"
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    'https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x.../fee'
  );
  const data = await response.json();
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "percentage_fee": 0.1,
    "fee": 0
  }
  ```
</ResponseExample>
